#
# spec file for package libestr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libestr
Version:        0.1.11
Release:        1.20
Summary:        String handling essentials library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://libestr.adiscon.com/
Source0:        http://libestr.adiscon.com/files/download/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig

%description
This package compiles the string handling essentials library
used by the rsyslog daemon.

%package -n libestr0
Summary:        String handling essentials library
Group:          Development/Libraries/C and C++

%description -n libestr0
This package provides the string handling essentials shared library
used by the rsyslog daemon.

%package devel
Summary:        String handling essentials development files
Group:          Development/Libraries/C and C++
Requires:       libestr0 = %{version}

%description devel
This package provides files required for development with libestr,
the string handling essentials library used by the rsyslog daemon.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libestr0 -p /sbin/ldconfig
%postun -n libestr0 -p /sbin/ldconfig

%files -n libestr0
%license COPYING
%{_libdir}/libestr.so.0*

%files devel
%license COPYING
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/libestr.so
%{_libdir}/pkgconfig/libestr.pc
%{_includedir}/libestr.h

%changelog
* Tue Oct 30 2018 astieger@suse.com
- libestr 0.1.11:
  * bugfix: es_str2num mishandled empty strings
* Tue Dec  9 2014 andreas.stieger@gmx.de
- libestr 0.1.10:
  + changed some functions that don't modify their arg to take
    const arg
  + bugfix: str2num did not convert hex values correctly
  + bugfix: problems with trailing incomplete hex sequence
  + bugfixes to StrFromNumber
  + some checks for potential overflows with giantic strings (>2GB)
* Mon Oct 28 2013 andreas.stieger@gmx.de
- update 0.1.9 [bnc#847968]
  - bugfix: invalid number string when creating string from integer
* Thu Oct 17 2013 andreas.stieger@gmx.de
- update to 0.1.8 - [bnc#846487]
  - bugfix: invalid comparison results for different-length strings
    es_strcmp, es_strcasecmp, es_strbufcmp, and es_strcasebufcmp
* Thu Sep 12 2013 andreas.stieger@gmx.de
- update to 0.1.6:
  - bugfix ascii hex code escapes did not work
* Fri Apr 19 2013 mt@suse.de
- update to 0.1.5:
  - bugfix: es_strncmp() did not work correctly
    Thanks to Philippe Muller for the patch.
    closes: http://bugzilla.adiscon.com/show_bug.cgi?id=424
* Thu Sep 20 2012 andreas.stieger@gmx.de
- update to 0.1.4:
  - bugfix: ‘\\’ escape was not recognized when unescaping strings
* Wed Jul 11 2012 andreas.stieger@gmx.de
- feedback from SR#127042: remove manipulation of lib files
* Mon Jul  9 2012 jengelh@inai.de
- Update to new upstream release 0.1.3
  * fixes to the build system (honoring CFLAGS)
* Tue Jul  3 2012 andreas.stieger@gmx.de
- move to /usr/lib
* Tue Jul  3 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile, kill .la files
- Parallel build with %%_smp_mflags
* Sun Jul  1 2012 andreas.stieger@gmx.de
- libestr 0.1.2
  - added new API functions:
  * es_strcasebufcmp()
  * es_strcasecmp()
- also includes libestr 0.1.1
  - added new API functions:
  * es_newStrFromNumber(),
  * es_str2num()
  * es_strncmp()
  * es_strncasecmp()
  * es_strContains()
  * es_strCaseContains()
  * es_tolower()
* Sun Jul  1 2012 andreas.stieger@gmx.de
- format/fix
* Fri Feb 11 2011 mt@suse.de
- Initial rsyslog string handling essentials library package
